> ## Documentation Index
> Fetch the complete documentation index at: https://openai-hd4n6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve vector store

> Retrieve the parsed contents of a vector store file.



## OpenAPI

````yaml api-definition.yaml get /vector_stores/{vector_store_id}/files/{file_id}/content
openapi: 3.0.0
info:
  title: OpenAI API
  description: >-
    The OpenAI REST API. Please see
    https://platform.openai.com/docs/api-reference for more details.
  version: 2.3.0
  termsOfService: https://openai.com/policies/terms-of-use
  contact:
    name: OpenAI Support
    url: https://help.openai.com/
  license:
    name: MIT
    url: https://github.com/openai/openai-openapi/blob/master/LICENSE
servers:
  - url: https://api.openai.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Assistants
    description: Build Assistants that can call models and use tools.
  - name: Audio
    description: Turn audio into text or text into audio.
  - name: Chat
    description: >-
      Given a list of messages comprising a conversation, the model will return
      a response.
  - name: Completions
    description: >-
      Given a prompt, the model will return one or more predicted completions,
      and can also return the probabilities of alternative tokens at each
      position.
  - name: Embeddings
    description: >-
      Get a vector representation of a given input that can be easily consumed
      by machine learning models and algorithms.
  - name: Evals
    description: Manage and run evals in the OpenAI platform.
  - name: Fine-tuning
    description: Manage fine-tuning jobs to tailor a model to your specific training data.
  - name: Batch
    description: Create large batches of API requests to run asynchronously.
  - name: Files
    description: >-
      Files are used to upload documents that can be used with features like
      Assistants and Fine-tuning.
  - name: Uploads
    description: Use Uploads to upload large files in multiple parts.
  - name: Images
    description: Given a prompt and/or an input image, the model will generate a new image.
  - name: Models
    description: List and describe the various models available in the API.
  - name: Moderations
    description: >-
      Given text and/or image inputs, classifies if those inputs are potentially
      harmful.
  - name: Audit Logs
    description: List user actions and configuration changes within this organization.
paths:
  /vector_stores/{vector_store_id}/files/{file_id}/content:
    get:
      tags:
        - Vector stores
      summary: Retrieve vector store
      description: Retrieve the parsed contents of a vector store file.
      operationId: retrieveVectorStoreFileContent
      parameters:
        - in: path
          name: vector_store_id
          required: true
          schema:
            type: string
            example: vs_abc123
          description: The ID of the vector store.
        - in: path
          name: file_id
          required: true
          schema:
            type: string
            example: file-abc123
          description: The ID of the file within the vector store.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VectorStoreFileContentResponse'
components:
  schemas:
    VectorStoreFileContentResponse:
      type: object
      description: Represents the parsed content of a vector store file.
      properties:
        object:
          type: string
          enum:
            - vector_store.file_content.page
          description: The object type, which is always `vector_store.file_content.page`
          x-stainless-const: true
        data:
          type: array
          description: Parsed content of the file.
          items:
            type: object
            properties:
              type:
                type: string
                description: The content type (currently only `"text"`)
              text:
                type: string
                description: The text content
        has_more:
          type: boolean
          description: Indicates if there are more content pages to fetch.
        next_page:
          type: string
          description: The token for the next page, if any.
          nullable: true
      required:
        - object
        - data
        - has_more
        - next_page
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````